module Color.Rgb.Yellow exposing
    ( lightyellow, yellow
    , lemonchiffon
    , lightgoldenrodyellow, palegoldenrod
    , papayawhip
    , moccasin
    , peachpuff
    , khaki, darkkhaki
    , olive
    , greenyellow, yellowgreen
    , lightYellow1, lightYellow2, lightYellow3, lightYellow4, darkYellow1, darkYellow2, darkYellow3, darkYellow4
    )

{-| The Yellow range of Colors.


# HTML/CSS color names

@docs lightyellow, yellow
@docs lemonchiffon
@docs lightgoldenrodyellow, palegoldenrod
@docs papayawhip
@docs moccasin
@docs peachpuff
@docs khaki, darkkhaki
@docs olive
@docs greenyellow, yellowgreen


# Custom color names

@docs lightYellow1, lightYellow2, lightYellow3, lightYellow4, darkYellow1, darkYellow2, darkYellow3, darkYellow4

-}

import Element exposing (Color, rgb255)


{-| rgb(255, 255, 224)
#FFFFE0
-}
lightyellow : Color
lightyellow =
    rgb255 255 255 224


{-| rgb(255, 250, 205)
#FFFACD
-}
lemonchiffon : Color
lemonchiffon =
    rgb255 255 250 205


{-| rgb(250, 250, 210)
#FAFAD2
-}
lightgoldenrodyellow : Color
lightgoldenrodyellow =
    rgb255 250 250 210


{-| rgb(255, 239, 213)
#FFEFD5
-}
papayawhip : Color
papayawhip =
    rgb255 255 239 213


{-| rgb(255, 228, 181)
#FFE4B5
-}
moccasin : Color
moccasin =
    rgb255 255 228 181


{-| rgb(255, 218, 185)
#FFDAB9
-}
peachpuff : Color
peachpuff =
    rgb255 255 218 185


{-| rgb(238, 232, 170)
#EEE8AA
-}
palegoldenrod : Color
palegoldenrod =
    rgb255 238 232 170


{-| rgb(240, 230, 140)
#F0E68C
-}
khaki : Color
khaki =
    rgb255 240 230 140


{-| rgb(189, 183, 107)
#BDB76B
-}
darkkhaki : Color
darkkhaki =
    rgb255 189 183 107


{-| rgb(255, 255, 0)
#FFFF00
-}
yellow : Color
yellow =
    rgb255 255 255 0


{-| rgb(128, 128, 0)
#808000
-}
olive : Color
olive =
    rgb255 128 128 0


{-| rgb(173, 255, 47)
#ADFF2F
-}
greenyellow : Color
greenyellow =
    rgb255 173 255 47


{-| rgb(154, 205, 50)
#9ACD32
-}
yellowgreen : Color
yellowgreen =
    rgb255 154 205 50


{-| rgb(255, 255, 204)
#FFFFCC
-}
lightYellow1 : Color
lightYellow1 =
    rgb255 255 255 204


{-| rgb(255, 255, 153)
#FFFF99
-}
lightYellow2 : Color
lightYellow2 =
    rgb255 255 255 153


{-| rgb(255, 255, 102)
#FFFF66
-}
lightYellow3 : Color
lightYellow3 =
    rgb255 255 255 102


{-| rgb(255, 255, 51)
#FFFF33
-}
lightYellow4 : Color
lightYellow4 =
    rgb255 255 255 51


{-| rgb(204, 204, 0)
#CCCC00
-}
darkYellow1 : Color
darkYellow1 =
    rgb255 204 204 0


{-| rgb(153, 153, 0)
#999900
-}
darkYellow2 : Color
darkYellow2 =
    rgb255 153 153 0


{-| rgb(102, 102, 0)
#666600
-}
darkYellow3 : Color
darkYellow3 =
    rgb255 102 102 0


{-| rgb(51, 51, 0)
#333300
-}
darkYellow4 : Color
darkYellow4 =
    rgb255 51 51 0
